import { Context } from 'koishi';
import Schema from 'schemastery';
export declare const name = "javbus";
export interface Config {
    apiPrefix: string;
    allowDownloadLink: boolean;
    allowPreviewCover: boolean;
}
export declare const Config: Schema<{
    description?: string;
    apiPrefix?: string;
    allowDownloadLink?: boolean;
    allowPreviewCover?: boolean;
} & import("cosmokit").Dict<any, string>, {
    description: string;
    apiPrefix: string;
    allowDownloadLink: boolean;
    allowPreviewCover: boolean;
} & import("cosmokit").Dict<any, string>>;
export declare const movieDetailApi = "/api/v1/movies/";
export declare const starDetailApi = "/api/v1/stars/";
export declare function apply(ctx: Context, config: Config): void;
